package com.jsowell.pile.service;

import java.util.List;

import com.jsowell.pile.domain.PileCameraInfo;

/**
 * 车位相机信息Service接口
 *
 * @author jsowell
 * @date 2023-12-09
 */
public interface PileCameraInfoService {
    /**
     * 查询车位相机信息
     *
     * @param id 车位相机信息主键
     * @return 车位相机信息
     */
    public PileCameraInfo selectPileCameraInfoById(Long id);

    /**
     * 查询车位相机信息列表
     *
     * @param pileCameraInfo 车位相机信息
     * @return 车位相机信息集合
     */
    public List<PileCameraInfo> selectPileCameraInfoList(PileCameraInfo pileCameraInfo);

    /**
     * 新增车位相机信息
     *
     * @param pileCameraInfo 车位相机信息
     * @return 结果
     */
    public int insertPileCameraInfo(PileCameraInfo pileCameraInfo);

    /**
     * 修改车位相机信息
     *
     * @param pileCameraInfo 车位相机信息
     * @return 结果
     */
    public int updatePileCameraInfo(PileCameraInfo pileCameraInfo);

    /**
     * 批量删除车位相机信息
     *
     * @param ids 需要删除的车位相机信息主键集合
     * @return 结果
     */
    public int deletePileCameraInfoByIds(Long[] ids);

    /**
     * 删除车位相机信息信息
     *
     * @param id 车位相机信息主键
     * @return 结果
     */
    public int deletePileCameraInfoById(Long id);
}
